Home

# Class goog.ui.ImagelessButtonRenderer

Custom renderer for {@link goog.ui.Button}s. Imageless buttons can contain almost arbitrary HTML content, will flow like inline elements, but can be styled like block-level elements.

extends goog.ui.CustomButtonRenderer

Instance Method Summary
| `createButton(?goog.ui.ControlContent content, ?goog.dom.DomHelper dom) ⇒ ?Element` Takes a text caption or existing DOM structure, and returns the content wrapped in a pseudo-rounded-corner box. Creates the following DOM structure: Contents... Used by both {@link #createDom} and {@link #decorate}. To be overridden by subclasses.
| `getContentElement(?Element element) ⇒ ?Element` Takes the button's root element and returns the parent element of the button's contents. Overrides the superclass implementation by taking the nested DIV structure of custom buttons into account.
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of components rendered using this renderer.
| `hasBoxStructure(?goog.ui.Button button, ?Element element) ⇒ boolean` Check if the button's element has a box structure.